Please fix AsaWidget.php for PHP v7

  • November 29, 2016 at 04:01 #14094
    iazardo
    Member

    Hello, nice plugin!

    We are running PHP v7 and get a deprecation note for AsaWidget.php line 7 (v1.0.1 of amazonsimpleadmin):

    > Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; WP_Widget_AmazonSimpleAdmin has a deprecated constructor in /srv/www/thegeekgift.com/current/web/app/plugins/amazonsimpleadmin/AsaWidget.php on line 7

    This of course is easily fixed by chaniging the PHP 4 style constructor in line 31:

    > function WP_Widget_AmazonSimpleAdmin()

    to

    > function __construct()

    Is it possible to release a new version with this fixed or will this cause problems with backwards compatibility somehow? Thank you!

    November 29, 2016 at 22:02 #14095
    Timo
    Keymaster

    Sure, I will release an update for ASA 1 including a fix for this soon!

    November 30, 2016 at 02:57 #14096
    iazardo
    Member

    Thank you for your quick response Timo!
    Sounds great! ­čÖé ­čÖé

    March 8, 2017 at 18:46 #14146
    Timo
    Keymaster

    Please check if the new ASA1 update (version 1.1.1) works with your PHP 7 installation. It does with mine. ­čśë

    https://wordpress.org/plugins/amazonsimpleadmin/

You must be logged in to reply to this topic.

Register  |  Lost your password?
Topic Tags